Bug 1220339 - texlive dependencies are excessive
texlive dependencies are excessive
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-sphinx (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-11 07:27 EDT by Kamil Páral
Modified: 2015-07-31 03:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-sphinx-1.2.3-3.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 21:00:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2015-05-11 07:27:42 EDT
Description of problem:
This is a reaction on https://admin.fedoraproject.org/updates/FEDORA-2015-1748/python-sphinx-1.2.3-1.fc21, which itself was supposed to fix bug 1148845 and bug 882166. That F21 update got unpushed due to maintainer inactivity, but the packages were updated in F22 and Rawhide.

Bug 882166 comment 3 speaks about additional 150kB needed for texlive packages. And it seems to be more or less in line with python-sphinx-1.2.2-6.fc22:

$ sudo dnf install ./python-sphinx-1.2.2-6.fc22.noarch.rpm 
Using metadata from Mon May 11 13:15:33 2015 (0:07:49 hours old)
Dependencies resolved.
================================================================================
 Package                Arch   Version                       Repository    Size
================================================================================
Installing:
 python-babel           noarch 1.3-7.fc22                    fedora       2.5 M
 python-docutils        noarch 0.12-0.2.20140510svn7747.fc21 fedora       1.5 M
 python-jinja2          noarch 2.7.3-2.fc22                  fedora       531 k
 python-markupsafe      x86_64 0.23-6.fc22                   fedora        35 k
 python-pygments        noarch 1.6-3.fc21                    fedora       965 k
 python-sphinx          noarch 1.2.2-6.fc22                  @commandline 1.1 M
 texlive-base           noarch 4:2014-8.20140525_r34255.fc22 fedora       1.5 M
 texlive-framed         noarch 4:svn26789.0.96-8.fc22        fedora        31 k
 texlive-kpathsea       noarch 4:svn32266.0-8.fc22           fedora       147 k
 texlive-kpathsea-bin   x86_64 4:svn30088.0-8.20140525_r34255.fc22
                                                             fedora        47 k
 texlive-kpathsea-lib   x86_64 4:2014-8.20140525_r34255.fc22 fedora        95 k
 texlive-threeparttable noarch 4:svn17383.0-8.fc22           fedora        29 k
 texlive-titlesec       noarch 4:svn24852.2.10.0-8.fc22      fedora        47 k
 texlive-wrapfig        noarch 4:svn22048.3.6-8.fc22         fedora        33 k

Transaction Summary
================================================================================
Install  14 Packages

Total size: 8.5 M
Total download size: 7.4 M
Installed size: 34 M
Is this ok [y/N]: 


But then, with python-sphinx-1.2.3-1.fc22 it exploded:

$ sudo dnf install ./python-sphinx-1.2.3-1.fc22.noarch.rpm 
Using metadata from Mon May 11 13:15:33 2015 (0:08:59 hours old)
Dependencies resolved.
================================================================================
 Package                Arch   Version                             Repository
                                                                           Size
================================================================================
Installing:
 libXaw                 x86_64 1.0.12-4.fc22                       fedora 190 k
 libpaper               x86_64 1.1.24-10.fc22                      fedora  41 k
 perl-Digest            noarch 1.17-310.fc22                       fedora  27 k
 perl-Digest-MD5        x86_64 2.54-2.fc22                         fedora  35 k
 perl-Text-Unidecode    noarch 1.23-1.fc22                         fedora 141 k
 perl-Tk                x86_64 804.032-5.fc22                      fedora 2.1 M
 perl-XML-Parser        x86_64 2.44-1.fc22                         fedora 224 k
 perl-XML-XPath         noarch 1.13-26.fc22                        fedora  86 k
 python-babel           noarch 1.3-7.fc22                          fedora 2.5 M
 python-docutils        noarch 0.12-0.2.20140510svn7747.fc21       fedora 1.5 M
 python-jinja2          noarch 2.7.3-2.fc22                        fedora 531 k
 python-markupsafe      x86_64 0.23-6.fc22                         fedora  35 k
 python-pygments        noarch 1.6-3.fc21                          fedora 965 k
 python-sphinx          noarch 1.2.3-1.fc22                        @commandline
                                                                          1.2 M
 texlive-ae             noarch 4:svn15878.1.4-8.fc22               fedora 104 k
 texlive-algorithms     noarch 4:svn15878.0.1-8.fc22               fedora  27 k
 texlive-amscls         noarch 4:svn30738.0-8.fc22                 fedora  60 k
 texlive-amsfonts       noarch 4:svn29208.3.04-8.fc22              fedora 3.6 M
 texlive-amsmath        noarch 4:svn30645.2.14-8.fc22              fedora  56 k
 texlive-attachfile     noarch 4:svn21866.v1.5b-8.fc22             fedora  28 k
 texlive-auto-pst-pdf   noarch 4:svn23723.0.6-8.fc22               fedora  26 k
 texlive-avantgar       noarch 4:svn31835.0-8.fc22                 fedora 301 k
 texlive-babel          noarch 4:svn33283.3.9k-8.fc22              fedora  57 k
 texlive-babel-english  noarch 4:svn30264.0-8.fc22                 fedora  26 k
 texlive-babelbib       noarch 4:svn25245.1.31-8.fc22              fedora  57 k
 texlive-base           noarch 4:2014-8.20140525_r34255.fc22       fedora 1.5 M
 texlive-bera           noarch 4:svn20031.0-8.fc22                 fedora 355 k
 texlive-beton          noarch 4:svn15878.0-8.fc22                 fedora  25 k
 texlive-bibtex         noarch 4:svn29764.0.99d-8.fc22             fedora  40 k
 texlive-bibtex-bin     x86_64 4:svn30088.0-8.20140525_r34255.fc22 fedora  74 k
 texlive-bookman        noarch 4:svn31835.0-8.fc22                 fedora 342 k
 texlive-booktabs       noarch 4:svn15878.1.61803-8.fc22           fedora  26 k
 texlive-breakurl       noarch 4:svn29901.1.40-8.fc22              fedora  27 k
 texlive-caption        noarch 4:svn30449.2013_05_12-8.fc22        fedora  60 k
 texlive-carlisle       noarch 4:svn18258.0-8.fc22                 fedora  36 k
 texlive-charter        noarch 4:svn15878.0-8.fc22                 fedora 208 k
 texlive-chngcntr       noarch 4:svn17157.1.0a-8.fc22              fedora  25 k
 texlive-cm             noarch 4:svn32865.0-8.fc22                 fedora 301 k
 texlive-cm-super       noarch 4:svn15878.0-8.fc22                 fedora  62 M
 texlive-cmap           noarch 4:svn31477.1.0h-8.fc22              fedora  31 k
 texlive-cmextra        noarch 4:svn32831.0-8.fc22                 fedora  53 k
 texlive-collection-basic
                        noarch 4:svn33040.0-8.20140525_r34255.fc22 fedora  23 k
 texlive-collection-fontsrecommended
                        noarch 4:svn32620.0-8.20140525_r34255.fc22 fedora  23 k
 texlive-collection-latex
                        noarch 4:svn33055.0-8.20140525_r34255.fc22 fedora  23 k
 texlive-colortbl       noarch 4:svn29803.v1.0a-8.fc22             fedora  27 k
 texlive-courier        noarch 4:svn31835.0-8.fc22                 fedora 552 k
 texlive-csquotes       noarch 4:svn24393.5.1d-8.fc22              fedora  43 k
 texlive-currfile       noarch 4:svn29012.0.7b-8.fc22              fedora  28 k
 texlive-dvipdfmx       noarch 4:svn32380.0-8.fc22                 fedora  64 k
 texlive-dvipdfmx-bin   x86_64 4:svn30845.0-8.20140525_r34255.fc22 fedora 302 k
 texlive-dvipdfmx-def   noarch 4:svn33409.3.6-8.fc22               fedora  26 k
 texlive-dvips          noarch 4:svn33394.0-8.fc22                 fedora 271 k
 texlive-dvips-bin      x86_64 4:svn30088.0-8.20140525_r34255.fc22 fedora 138 k
 texlive-ec             noarch 4:svn25033.1.0-8.fc22               fedora 493 k
 texlive-enctex         noarch 4:svn28602.0-8.fc22                 fedora  55 k
 texlive-enumitem       noarch 4:svn24146.3.5.2-8.fc22             fedora  35 k
 texlive-environ        noarch 4:svn29600.0.3-8.fc22               fedora  25 k
 texlive-eso-pic        noarch 4:svn31875.2.0d-8.fc22              fedora  28 k
 texlive-etex           noarch 4:svn31600.2.1-8.fc22               fedora  40 k
 texlive-etex-pkg       noarch 4:svn15878.2.0-8.fc22               fedora  28 k
 texlive-etoolbox       noarch 4:svn20922.2.1-8.fc22               fedora  32 k
 texlive-euler          noarch 4:svn17261.2.5-8.fc22               fedora  27 k
 texlive-euro           noarch 4:svn22191.1.1-8.fc22               fedora  26 k
 texlive-eurosym        noarch 4:svn17265.1.4_subrfix-8.fc22       fedora 165 k
 texlive-fancybox       noarch 4:svn18304.1.4-8.fc22               fedora  31 k
 texlive-fancyhdr       noarch 4:svn15878.3.1-8.fc22               fedora  32 k
 texlive-fancyvrb       noarch 4:svn18492.2.8-8.fc22               fedora  37 k
 texlive-filecontents   noarch 4:svn24250.1.3-8.fc22               fedora  25 k
 texlive-filehook       noarch 4:svn24280.0.5d-8.fc22              fedora  29 k
 texlive-fix2col        noarch 4:svn17133.0-8.fc22                 fedora  26 k
 texlive-float          noarch 4:svn15878.1.3d-8.fc22              fedora  26 k
 texlive-fontspec       noarch 4:svn32416.v2.3c-8.fc22             fedora  45 k
 texlive-footmisc       noarch 4:svn23330.5.5b-8.fc22              fedora  30 k
 texlive-fp             noarch 4:svn15878.0-8.fc22                 fedora  46 k
 texlive-fpl            noarch 4:svn15878.1.002-8.fc22             fedora 383 k
 texlive-framed         noarch 4:svn26789.0.96-8.fc22              fedora  31 k
 texlive-geometry       noarch 4:svn19716.5.6-8.fc22               fedora  33 k
 texlive-glyphlist      noarch 4:svn28576.0-8.fc22                 fedora  50 k
 texlive-graphics       noarch 4:svn32655.1.0o-8.fc22              fedora  40 k
 texlive-gsftopk        noarch 4:svn29764.1.19.2-8.fc22            fedora  30 k
 texlive-gsftopk-bin    x86_64 4:svn30088.0-8.20140525_r34255.fc22 fedora  37 k
 texlive-helvetic       noarch 4:svn31835.0-8.fc22                 fedora 626 k
 texlive-hyperref       noarch 4:svn28213.6.83m-8.fc22             fedora 146 k
 texlive-hyph-utf8      noarch 4:svn30757.0-8.fc22                 fedora 2.3 M
 texlive-hyphen-base    noarch 4:svn31131.0-8.fc22                 fedora  46 k
 texlive-ifetex         noarch 4:svn24853.1.2-8.fc22               fedora  25 k
 texlive-ifluatex       noarch 4:svn26725.1.3-8.fc22               fedora  26 k
 texlive-ifplatform     noarch 4:svn21156.0.3a-8.fc22              fedora  26 k
 texlive-iftex          noarch 4:svn29654.0.2-8.fc22               fedora  25 k
 texlive-ifxetex        noarch 4:svn19685.0.5-8.fc22               fedora  25 k
 texlive-index          noarch 4:svn24099.4.1beta-8.fc22           fedora  36 k
 texlive-kastrup        noarch 4:svn15878.0-8.fc22                 fedora  24 k
 texlive-knuth-lib      noarch 4:svn33039.0-8.fc22                 fedora  35 k
 texlive-knuth-local    noarch 4:svn33147.0-8.fc22                 fedora  51 k
 texlive-koma-script    noarch 4:svn32489.3.12-8.fc22              fedora 5.8 M
 texlive-kpathsea       noarch 4:svn32266.0-8.fc22                 fedora 147 k
 texlive-kpathsea-bin   x86_64 4:svn30088.0-8.20140525_r34255.fc22 fedora  47 k
 texlive-kpathsea-lib   x86_64 4:2014-8.20140525_r34255.fc22       fedora  95 k
 texlive-l3kernel       noarch 4:svn32599.SVN_4646-8.fc22          fedora 124 k
 texlive-l3packages     noarch 4:svn32537.SVN_4634-8.fc22          fedora  43 k
 texlive-latex          noarch 4:svn32901.0-8.fc22                 fedora 206 k
 texlive-latex-bin      noarch 4:svn29764.0-8.fc22                 fedora  26 k
 texlive-latex-bin-bin  noarch 4:svn14050.0-8.20140525_r34255.fc22 fedora  23 k
 texlive-latex-fonts    noarch 4:svn28888.0-8.fc22                 fedora  49 k
 texlive-latexconfig    noarch 4:svn28991.0-8.fc22                 fedora  33 k
 texlive-listings       noarch 4:svn33095.1.5c-8.fc22              fedora 150 k
 texlive-lm             noarch 4:svn28119.2.004-8.fc22             fedora  13 M
 texlive-lm-math        noarch 4:svn29044.1.958-8.fc22             fedora 433 k
 texlive-ltxmisc        noarch 4:svn21927.0-8.fc22                 fedora  41 k
 texlive-lua-alt-getopt noarch 4:svn29349.0.7.0-8.fc22             fedora  25 k
 texlive-lualatex-math  noarch 4:svn31389.1.3-8.fc22               fedora  27 k
 texlive-luaotfload     noarch 4:svn32887.2.4_3-8.fc22             fedora 273 k
 texlive-luaotfload-bin noarch 4:svn30313.0-8.20140525_r34255.fc22 fedora  23 k
 texlive-luatex         noarch 4:svn33312.0.70.1-8.fc22            fedora  44 k
 texlive-luatex-bin     x86_64 4:svn31084.0-8.20140525_r34255.fc22 fedora 1.6 M
 texlive-luatexbase     noarch 4:svn30562.0.6-8.fc22               fedora  36 k
 texlive-makeindex      noarch 4:svn33054.2.12-8.fc22              fedora  39 k
 texlive-makeindex-bin  x86_64 4:svn30088.0-8.20140525_r34255.fc22 fedora  46 k
 texlive-marginnote     noarch 4:svn25880.v1.1i-8.fc22             fedora  27 k
 texlive-marvosym       noarch 4:svn29349.2.2a-8.fc22              fedora 158 k
 texlive-mathpazo       noarch 4:svn15878.1.003-8.fc22             fedora  91 k
 texlive-mdwtools       noarch 4:svn15878.1.05.4-8.fc22            fedora  45 k
 texlive-memoir         noarch 4:svn31044.3.7b-8.fc22              fedora 105 k
 texlive-metafont       noarch 4:svn29764.2.718281-8.fc22          fedora  70 k
 texlive-metafont-bin   x86_64 4:svn30088.0-8.20140525_r34255.fc22 fedora 205 k
 texlive-mflogo         noarch 4:svn32865.2.0-8.fc22               fedora  50 k
 texlive-mfnfss         noarch 4:svn19410.0-8.fc22                 fedora  26 k
 texlive-mfware         noarch 4:svn32865.0-8.fc22                 fedora  38 k
 texlive-mfware-bin     x86_64 4:svn30088.0-8.20140525_r34255.fc22 fedora  97 k
 texlive-mparhack       noarch 4:svn15878.1.4-8.fc22               fedora  26 k
 texlive-mptopdf        noarch 4:svn32580.0-8.fc22                 fedora  64 k
 texlive-mptopdf-bin    noarch 4:svn18674.0-8.20140525_r34255.fc22 fedora  23 k
 texlive-ms             noarch 4:svn29849.0-8.fc22                 fedora  31 k
 texlive-multido        noarch 4:svn18302.1.42-8.fc22              fedora  27 k
 texlive-multirow       noarch 4:svn17256.1.6-8.fc22               fedora  29 k
 texlive-natbib         noarch 4:svn20668.8.31b-8.fc22             fedora  41 k
 texlive-ncntrsbk       noarch 4:svn31835.0-8.fc22                 fedora 348 k
 texlive-oberdiek       noarch 4:svn33322.0-8.fc22                 fedora 318 k
 texlive-palatino       noarch 4:svn31835.0-8.fc22                 fedora 396 k
 texlive-paralist       noarch 4:svn30992.2.4-8.fc22               fedora  27 k
 texlive-parallel       noarch 4:svn15878.0-8.fc22                 fedora  27 k
 texlive-parskip        noarch 4:svn19963.2.0-8.fc22               fedora  25 k
 texlive-pdftex         noarch 4:svn33394.1.40.11-8.fc22           fedora 179 k
 texlive-pdftex-bin     x86_64 4:svn30845.0-8.20140525_r34255.fc22 fedora 373 k
 texlive-pdftex-def     noarch 4:svn22653.0.06d-8.fc22             fedora  38 k
 texlive-pgf            noarch 4:svn33057.3.0.0-8.fc22             fedora 775 k
 texlive-plain          noarch 4:svn26647.0-8.fc22                 fedora  71 k
 texlive-pslatex        noarch 4:svn16416.0-8.fc22                 fedora  31 k
 texlive-psnfss         noarch 4:svn23394.9.2a-8.fc22              fedora  53 k
 texlive-pspicture      noarch 4:svn15878.0-8.fc22                 fedora  25 k
 texlive-pst-3d         noarch 4:svn17257.1.10-8.fc22              fedora  27 k
 texlive-pst-coil       noarch 4:svn24020.1.06-8.fc22              fedora  28 k
 texlive-pst-eps        noarch 4:svn15878.1.0-8.fc22               fedora  27 k
 texlive-pst-fill       noarch 4:svn15878.1.01-8.fc22              fedora  28 k
 texlive-pst-grad       noarch 4:svn15878.1.06-8.fc22              fedora  28 k
 texlive-pst-math       noarch 4:svn20176.0.61-8.fc22              fedora  29 k
 texlive-pst-node       noarch 4:svn33303.1.33-8.fc22              fedora  50 k
 texlive-pst-ovl        noarch 4:svn32514.0.04-8.fc22              fedora  26 k
 texlive-pst-pdf        noarch 4:svn31660.1.1v-8.fc22              fedora  32 k
 texlive-pst-pdf-bin    noarch 4:svn7838.0-8.20140525_r34255.fc22  fedora  23 k
 texlive-pst-plot       noarch 4:svn33196.1.61-8.fc22              fedora  46 k
 texlive-pst-text       noarch 4:svn15878.1.00-8.fc22              fedora  28 k
 texlive-pst-tree       noarch 4:svn24142.1.12-8.fc22              fedora  31 k
 texlive-pstricks       noarch 4:svn33328.2.53a-8.fc22             fedora 106 k
 texlive-pstricks-add   noarch 4:svn32760.3.65-8.fc22              fedora  48 k
 texlive-pxfonts        noarch 4:svn15878.0-8.fc22                 fedora 507 k
 texlive-qstest         noarch 4:svn15878.0-8.fc22                 fedora  29 k
 texlive-rsfs           noarch 4:svn15878.0-8.fc22                 fedora  82 k
 texlive-sauerj         noarch 4:svn15878.0-8.fc22                 fedora  29 k
 texlive-setspace       noarch 4:svn24881.6.7a-8.fc22              fedora  31 k
 texlive-showexpl       noarch 4:svn32737.v0.3l-8.fc22             fedora  28 k
 texlive-soul           noarch 4:svn15878.2.4-8.fc22               fedora  30 k
 texlive-subfig         noarch 4:svn15878.1.3-8.fc22               fedora  31 k
 texlive-symbol         noarch 4:svn31835.0-8.fc22                 fedora  62 k
 texlive-tetex          noarch 4:svn33394.3.0-8.fc22               fedora  99 k
 texlive-tetex-bin      noarch 4:svn29741.0-8.20140525_r34255.fc22 fedora  25 k
 texlive-tex            noarch 4:svn29764.3.1415926-8.fc22         fedora  30 k
 texlive-tex-bin        x86_64 4:svn30088.0-8.20140525_r34255.fc22 fedora 182 k
 texlive-tex-gyre       noarch 4:svn18651.2.004-8.fc22             fedora 7.0 M
 texlive-tex-gyre-math  noarch 4:svn29045.0-8.fc22                 fedora 588 k
 texlive-texconfig      noarch 4:svn29764.0-8.fc22                 fedora  39 k
 texlive-texconfig-bin  noarch 4:svn29741.0-8.20140525_r34255.fc22 fedora  23 k
 texlive-texlive-common-doc
                        noarch 4:svn30524.0-8.fc22                 fedora 190 k
 texlive-texlive-en-doc noarch 4:svn32016.0-8.fc22                 fedora 1.1 M
 texlive-texlive-msg-translations
                        noarch 4:svn33412.0-8.fc22                 fedora 144 k
 texlive-texlive-scripts
                        noarch 4:svn33431.0-8.fc22                 fedora  40 k
 texlive-texlive-scripts-bin
                        noarch 4:svn29741.0-8.20140525_r34255.fc22 fedora  23 k
 texlive-texlive.infra  noarch 4:svn32920.0-8.fc22                 fedora 149 k
 texlive-texlive.infra-bin
                        x86_64 4:svn29741.0-8.20140525_r34255.fc22 fedora  23 k
 texlive-threeparttable noarch 4:svn17383.0-8.fc22                 fedora  29 k
 texlive-thumbpdf       noarch 4:svn29725.3.15-8.fc22              fedora  45 k
 texlive-thumbpdf-bin   noarch 4:svn6898.0-8.20140525_r34255.fc22  fedora  23 k
 texlive-times          noarch 4:svn31835.0-8.fc22                 fedora 399 k
 texlive-tipa           noarch 4:svn29349.1.3-8.fc22               fedora 2.8 M
 texlive-titlesec       noarch 4:svn24852.2.10.0-8.fc22            fedora  47 k
 texlive-tools          noarch 4:svn33063.0-8.fc22                 fedora  69 k
 texlive-trimspaces     noarch 4:svn15878.1.1-8.fc22               fedora  24 k
 texlive-txfonts        noarch 4:svn15878.0-8.fc22                 fedora 780 k
 texlive-underscore     noarch 4:svn18261.0-8.fc22                 fedora  28 k
 texlive-unicode-math   noarch 4:svn30504.0.7d-8.fc22              fedora  68 k
 texlive-upquote        noarch 4:svn26059.v1.3-8.fc22              fedora  25 k
 texlive-url            noarch 4:svn32528.3.4-8.fc22               fedora  29 k
 texlive-utopia         noarch 4:svn15878.0-8.fc22                 fedora 241 k
 texlive-varwidth       noarch 4:svn24104.0.92-8.fc22              fedora  28 k
 texlive-wasy           noarch 4:svn15878.0-8.fc22                 fedora 263 k
 texlive-wasysym        noarch 4:svn15878.2.0-8.fc22               fedora  27 k
 texlive-wrapfig        noarch 4:svn22048.3.6-8.fc22               fedora  33 k
 texlive-xcolor         noarch 4:svn15878.2.11-8.fc22              fedora  42 k
 texlive-xdvi           noarch 4:svn30339.22.86-8.fc22             fedora  67 k
 texlive-xdvi-bin       x86_64 4:svn30088.0-8.20140525_r34255.fc22 fedora 292 k
 texlive-xkeyval        noarch 4:svn27995.2.6a-8.fc22              fedora  34 k
 texlive-xunicode       noarch 4:svn30466.0.981-8.fc22             fedora  51 k
 texlive-zapfchan       noarch 4:svn31835.0-8.fc22                 fedora 110 k
 texlive-zapfding       noarch 4:svn31835.0-8.fc22                 fedora  72 k
 zziplib                x86_64 0.13.62-5.fc22                      fedora  84 k

Transaction Summary
================================================================================
Install  215 Packages

Total size: 128 M
Total download size: 127 M
Installed size: 257 M
Is this ok [y/N]: 


All those printouts above are done on a fresh F22 TC1 Workstation installation.

Please trim down the dependencies or introduce a special subpackage for latex. The deps list is just too huge now. Thank you.


Version-Release number of selected component (if applicable):
python-sphinx-1.2.3-1.fc22.noarch.rpm
Comment 1 Fedora Update System 2015-07-20 10:12:34 EDT
python-sphinx-1.2.3-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-sphinx-1.2.3-3.fc21
Comment 2 Fedora Update System 2015-07-20 10:12:55 EDT
python-sphinx-1.2.3-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-sphinx-1.2.3-3.fc22
Comment 3 Kamil Páral 2015-07-20 11:26:41 EDT
Thanks, the deps are gone now. However, since the time this was reported, weak dependencies have been approved in Fedora:
https://fedoraproject.org/wiki/Packaging:WeakDependencies

If you want, you can make use of it here. For example you can add Recommends: or Suggests: python-sphinx-latex, so that it installs (or not) latex support by default, but can be removed later.
Comment 4 Fedora Update System 2015-07-21 04:18:00 EDT
Package python-sphinx-1.2.3-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-sphinx-1.2.3-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11875/python-sphinx-1.2.3-3.fc21
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2015-07-29 21:00:16 EDT
python-sphinx-1.2.3-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-07-31 03:57:44 EDT
python-sphinx-1.2.3-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.